-record(rumMsg, {
   severity :: rumAtomLevel()
   , pid
   , node
   , module
   , function
   , file
   , line
   , metadata :: [tuple()]
   , datetime :: binary()
   , timestamp :: non_neg_integer()
   , message :: list()
   , destinations :: list()
}).

-define(newMsg(Severity, Pid, Node, Module, Function, File, Line, Metadata, Destinations, TimeMs, Msg),
   #rumMsg{
      severity = Severity
      , pid =Pid
      , node = Node
      , module = Module
      , function = Function
      , file =File
      , line =Line
      , metadata =Metadata
      , datetime = rumUtil:msToBinStr(TimeMs)
      , timestamp = TimeMs
      , message = Msg
      , destinations = Destinations
   }).